
-- DROP TABLE tl_narrative;




CREATE TABLE tl_narrative (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    narrative_code varchar2(15) NOT NULL,
    narrative_desc varchar2(30) NULL,
    graphic_notes clob NULL,
    exec_sum_notes clob NULL,
    mod_connect_flag varchar2(15) NULL,
    narrative_notes clob NULL,
    devel_narrative varchar2(128) NULL,
    question clob NULL,
    level_number number(12)  NULL
    );



ALTER TABLE tl_narrative ADD    
    CONSTRAINT PK_tl_narrative PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_narrative_level_number 
    ON tl_narrative (level_number);
